com.microfocus.awm.meta.interfaces

## Enum EFileTypes

- java.lang.Object
- - java.lang.Enum<EFileTypes>
  - - com.microfocus.awm.meta.interfaces.EFileTypes

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<EFileTypes>, org.eclipse.emf.common.util.Enumerator

      public enum EFileTypes
      extends java.lang.Enum<EFileTypes>
      implements org.eclipse.emf.common.util.Enumerator

  Enumeration for the type of a file descriptor: InputStream, Local File, Workspace File, MVS_PO, MVS_PO_Member, MVS_SEQ, USS_File
  See Also:
    `TaurusPackage.getEFileTypes()`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `INPUT_STREAM` The 'Input Stream' literal object.
    `LOCAL_FILE` The 'Local File' literal object.
    `MVSPO` The 'MVSPO' literal object.
    `MVSPO_MEMBER` The 'MVSPO Member' literal object.
    `MVSSEQ` The 'MVSSEQ' literal object.
    `USS_FILE` The 'USS File' literal object.
    `WORKSPACE_FILE` The 'Workspace File' literal object.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `INPUT_STREAM_VALUE` The 'Input Stream' literal value.
    `static int` | `LOCAL_FILE_VALUE` The 'Local File' literal value.
    `static int` | `MVSPO_MEMBER_VALUE` The 'MVSPO Member' literal value.
    `static int` | `MVSPO_VALUE` The 'MVSPO' literal value.
    `static int` | `MVSSEQ_VALUE` The 'MVSSEQ' literal value.
    `static int` | `USS_FILE_VALUE` The 'USS File' literal value.
    `static java.util.List<EFileTypes>` | `VALUES` A public read-only list of all the 'EFile Types' enumerators.
    `static int` | `WORKSPACE_FILE_VALUE` The 'Workspace File' literal value.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EFileTypes` | `get(int value)` Returns the 'EFile Types' literal with the specified integer value.
    `static EFileTypes` | `get(java.lang.String literal)` Returns the 'EFile Types' literal with the specified literal value.
    `static EFileTypes` | `getByName(java.lang.String name)` Returns the 'EFile Types' literal with the specified name.
    `java.lang.String` | `getLiteral()`
    `java.lang.String` | `getName()`
    `int` | `getValue()`
    `boolean` | `isMainframeFile()` Gets whether the file type is a mainframe file (`MVSPO_MEMBER`, `MVSSEQ`, `MVSPO`).
    `java.lang.String` | `toString()` Returns the literal value of the enumerator, which is its string representation.
    `static EFileTypes` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EFileTypes[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### WORKSPACE_FILE

          public static final EFileTypes WORKSPACE_FILE

      The 'Workspace File' literal object.
      See Also:
        `WORKSPACE_FILE_VALUE`

    - #### INPUT_STREAM

          public static final EFileTypes INPUT_STREAM

      The 'Input Stream' literal object.
      See Also:
        `INPUT_STREAM_VALUE`

    - #### LOCAL_FILE

          public static final EFileTypes LOCAL_FILE

      The 'Local File' literal object.
      See Also:
        `LOCAL_FILE_VALUE`

    - #### MVSPO

          public static final EFileTypes MVSPO

      The 'MVSPO' literal object.
      See Also:
        `MVSPO_VALUE`

    - #### MVSPO_MEMBER

          public static final EFileTypes MVSPO_MEMBER

      The 'MVSPO Member' literal object.
      See Also:
        `MVSPO_MEMBER_VALUE`

    - #### MVSSEQ

          public static final EFileTypes MVSSEQ

      The 'MVSSEQ' literal object.
      See Also:
        `MVSSEQ_VALUE`

    - #### USS_FILE

          public static final EFileTypes USS_FILE

      The 'USS File' literal object.
      See Also:
        `USS_FILE_VALUE`

  - ### Field Detail

    - #### WORKSPACE_FILE_VALUE

          public static final int WORKSPACE_FILE_VALUE

      The 'Workspace File' literal value.
      See Also:
        `WORKSPACE_FILE`, Constant Field Values

    - #### INPUT_STREAM_VALUE

          public static final int INPUT_STREAM_VALUE

      The 'Input Stream' literal value.
      See Also:
        `INPUT_STREAM`, Constant Field Values

    - #### LOCAL_FILE_VALUE

          public static final int LOCAL_FILE_VALUE

      The 'Local File' literal value.
      See Also:
        `LOCAL_FILE`, Constant Field Values

    - #### MVSPO_VALUE

          public static final int MVSPO_VALUE

      The 'MVSPO' literal value.
      See Also:
        `MVSPO`, Constant Field Values

    - #### MVSPO_MEMBER_VALUE

          public static final int MVSPO_MEMBER_VALUE

      The 'MVSPO Member' literal value.
      See Also:
        `MVSPO_MEMBER`, Constant Field Values

    - #### MVSSEQ_VALUE

          public static final int MVSSEQ_VALUE

      The 'MVSSEQ' literal value.
      See Also:
        `MVSSEQ`, Constant Field Values

    - #### USS_FILE_VALUE

          public static final int USS_FILE_VALUE

      The 'USS File' literal value.
      See Also:
        `USS_FILE`, Constant Field Values

    - #### VALUES

          public static final java.util.List<EFileTypes> VALUES

      A public read-only list of all the 'EFile Types' enumerators.

  - ### Method Detail

    - #### values

          public static EFileTypes[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EFileTypes c : EFileTypes.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EFileTypes valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### get

          public static EFileTypes get(java.lang.String literal)

      Returns the 'EFile Types' literal with the specified literal value.
      Parameters:
        `literal` - the literal.
      Returns:
        the matching enumerator or `null`.

    - #### getByName

          public static EFileTypes getByName(java.lang.String name)

      Returns the 'EFile Types' literal with the specified name.
      Parameters:
        `name` - the name.
      Returns:
        the matching enumerator or `null`.

    - #### get

          public static EFileTypes get(int value)

      Returns the 'EFile Types' literal with the specified integer value.
      Parameters:
        `value` - the integer value.
      Returns:
        the matching enumerator or `null`.

    - #### getValue

          public int getValue()

      Specified by:
        `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### getLiteral

          public java.lang.String getLiteral()

      Specified by:
        `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### toString

          public java.lang.String toString()

      Returns the literal value of the enumerator, which is its string representation.
      Overrides:
        `toString` in class `java.lang.Enum<EFileTypes>`

    - #### isMainframeFile

          public boolean isMainframeFile()

      Gets whether the file type is a mainframe file (`MVSPO_MEMBER`, `MVSSEQ`, `MVSPO`).
      Returns:
        `true` if the file type is a mainframe file and `false` otherwise

Copyright © 2015 Micro Focus GmbH. All rights reserved.